Bug 490117 - os_detect.py uses deprecated function
os_detect.py uses deprecated function
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-13 08:31 EDT by Petr Lautrbach
Modified: 2009-10-13 16:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-13 16:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2009-03-13 08:31:32 EDT
Description of problem:

# smoltSendProfile           
/usr/share/smolt/client/os_detect.py:103: DeprecationWarning: os.popen2 is deprecated.  Use the subprocess module.

Version-Release number of selected component (if applicable):
Comment 1 Bug Zapper 2009-06-09 08:13:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Christopher Beland 2009-07-17 00:56:39 EDT
Still seeing this in F11 final, with smolt-1.2-4.2.fc11.noarch.
Comment 3 Carlos Gonçalves 2009-07-27 22:18:17 EDT
Will be fixed in the next release (planned for this week).
Comment 4 Mike McGrath 2009-10-13 16:14:50 EDT
This is fixed.  Forgot to close the bug.
Comment 5 Christopher Beland 2009-10-13 16:18:14 EDT
Confirmed fixed, thanks!

Note You need to log in before you can comment on or make changes to this bug.